std::thread::id(3)

NAME
std::thread::id

SYNOPSIS

#include <thread>

  Public Member Functions
id (native_handle_type __id)

  Friends
struct hash< id >
template<class _CharT , class _Traits > basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, id __id)
strong_ordering operator<=> (id __x, id __y) noexcept
bool operator== (id __x, id __y) noexcept
class thread

  Related Symbols
(Note that these are not member symbols.)
bool operator== (thread::id __x, thread::id __y) noexcept

strong_ordering operator (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits > basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)

Detailed Description

A std::thread::id is a unique identifier for a thread.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.